Bug 164243 - CAN-2005-2360 Multiple ethereal flaws (CAN-2005-2361 CAN-2005-2362 CAN-2005-2363 CAN-2005-2364 CAN-2005-2365 CAN-2005-2366 CAN-2005-2367)
CAN-2005-2360 Multiple ethereal flaws (CAN-2005-2361 CAN-2005-2362 CAN-2005-2...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ethereal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
impact=moderate,embargo=20050727,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 03:36 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-687
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-10 13:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Description of flaws (3.00 KB, text/plain)
2005-07-26 03:36 EDT, Mark J. Cox (Product Security)
no flags Details

  None (edit)
Description Mark J. Cox (Product Security) 2005-07-26 03:36:56 EDT
Gerarld Combs notified us of a number of flaws fixed in Ethereal 0.10.12, due
out on 20050726 or 20050727.  The majority of these can cause ethereal to crash
or get stuck in a loop (impact=)

However there are two issues that could have a higher impact, but these will
need investigation to determine the consequences:

  The SMB dissector could overflow a buffer or exhaust system memory.
  Versions affected: 0.9.0 to 0.10.11
  Fixed in: 14501, 14515, 14526

  Several dissectors were susceptible to a format string overflow.
  Versions affected: 0.9.4 to 0.10.11
  Fixed in: 14713

http://anonsvn.ethereal.com/viewcvs/viewcvs.py?rev=14713&view=rev
http://anonsvn.ethereal.com/viewcvs/viewcvs.py?rev=14501&view=rev
http://anonsvn.ethereal.com/viewcvs/viewcvs.py?rev=14515&view=rev
http://anonsvn.ethereal.com/viewcvs/viewcvs.py?rev=14526&view=rev

List of issues attached.  Marking bug embargoed until Ethereal release.

Affects RHEL4, RHEL3, RHEL2.1
Comment 1 Mark J. Cox (Product Security) 2005-07-26 03:36:56 EDT
Created attachment 117144 [details]
Description of flaws
Comment 2 Mark J. Cox (Product Security) 2005-07-26 03:38:59 EDT
(crashes are impact=low, the two issues above are impact=moderate)
Comment 4 Mark J. Cox (Product Security) 2005-07-29 04:30:29 EDT
removing embargo
Comment 5 Jindrich Novy 2005-08-03 08:53:23 EDT
Fix is now applied in RHSA-2005:687.
Comment 6 Red Hat Bugzilla 2005-08-10 13:36:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-687.html

Note You need to log in before you can comment on or make changes to this bug.